/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../display/shader.h"
#include "../../display/primitive.h"
#include "../../display/primitives/quad.h"
#include "../../display/framebuffer.h"
#include "../../display/camera.h"

/**
 * Initializes the frame buffers to be rendered to later.
 */
void holdemRenderFrameInit();

/**
 * Update the frame buffers at the start of a rendering cycle.
 */
void holdemRenderFrameUpdate();

/**
 * Binds the left frame buffer, clears it, and corrects its camera's 
 * perspective.
 */
void holdemRenderFrameUseLeft();

/**
 * Binds the right frame buffer, clears it, and corrects its camera's 
 * perspective.
 */
void holdemRenderFrameUseRight();

/**
 * Renders both the left and right frames to the backbuffer.
 */
void holdemRenderFrameBack();